<?php
err();
aut(); // форма авторизации
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '$user[id]'"),0);

$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo '<div class="gmenu">На этой странице Вы можете посмотреть сообщения людей, которые Вам отвечали в чате (за сегодня).</div>';

echo "<table class='post'>";

if ($k_post==0)
{
echo "<div class='nav1'>Ответов нет</div>";
}


$q = mysql_query("SELECT * FROM `guest`  ORDER BY `id` LIMIT $start, $set[p_str]");
//$q = mysql_query("SELECT * FROM `guest` ORDER BY id DESC LIMIT $start, $set[p_str]");

while ($posts = mysql_fetch_assoc($q))
{
	$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $posts[id_user] LIMIT 1"));

	// Лесенка
	echo '<div class="' . ($num % 2 ? "nav1" : "nav2") . '">';
	$num++;
    
	echo ($posts['id_user'] != '0' ? user::avatar($ank['id'], 0) . user::nick($ank['id'], 1, 1, 1) : user::avatar(0, 0) . ' <b>' . __('Гость') . '</b> ');

	if (isset($user) && $user['id'] != $ank['id'])
	    echo ' <a href="?page=' . $page . '&amp;response=' . $ank['id'] . '">[*]</a> ';

	echo ' (' . vremja($posts['time']) . ') <br />'; 
    echo output_text($posts['msg']) . '<br />';


	echo '</div>';
}

echo '</table>';

if ($k_page > 1)str('index.php?', $k_page, $page); // Вывод страниц
?>